Последние сообщения

Последние сообщения

Страницы: [1] 2 3 ... 10
1
Revit API / Re: Как установить Transform для FamilyInstance?
« Последний ответ от Pabloa 17-07-2018, 15:29:10 »
Понятно, спасибо за ответ)
2
можно ли задать Transform у одного элемента, как у другого, не вычисляя их различия, без вспомогательного копирования и последующего удаления?
Нет
3
Revit API / Re: Как установить Transform для FamilyInstance?
« Последний ответ от Pabloa 17-07-2018, 15:23:55 »
Вам нужно использовать методы из вспомогательного класса ElementTransformUtils, чтобы трансформировать семейство в нужное состояние
Просто я пытаюсь понять, а какой метод ElementTransformUtils использовать? CopyElement скопирует элемент и предыдущий мне придется удалять, т.к. таких действий нужно делать много, то это сильно затормозит процесс, хотелось бы сразу задать Transform для вставленного экземпляра. Для RotateElement нужно вычислять углы и вектора для поворота, и в этом собственно и вопрос, можно ли задать Transform у одного элемента, как у другого, не вычисляя их различия, без вспомогательного копирования и последующего удаления?
4
Вам нужно использовать методы из вспомогательного класса ElementTransformUtils, чтобы трансформировать семейство в нужное состояние
5
Lipes,
Прочитай пожалуйста у меня в подписи как следует форматировать код на форуме и соблюдай это правило.
6
запустить внешнее приложение, с GUI построенным на WPF
Я бы хотел по подробнее на этом остановится. Задача выглядит следующим образом: командой автокада вызывается диалоговые окно, пользователь щелкает по элементам управления и в автокаде что то происходит. Как это сделать?
А причем здесь внешнее приложение? Андрей Бушман имел в виду, что можно запустить из своего приложения, использующего AutoCAD .NET API внешний exe-файл, использующий WPF. Но судя по всему это не ваш случай. И уточните нужно ли вам модальное окно или палитра? Если палитра, то Дмитрий Загорулькин дал хороший хороший пример. А если модальное окно, то нужно ли WPF или достаточно Form?
7
Revit API / Как установить Transform для FamilyInstance?
« Последний ответ от Pabloa 17-07-2018, 14:30:08 »
Добрый день, подскажите пожалуйста, есть два документа, в них два одинаковых 3D семейства, в одном документе семейство вставлено и имеет свои Transform и LocationPoint, задача вставить в другом документе это семейство по аналогии, т.е., чтобы оно имело те же LocationPoint и Transform. Тип размещения семейств FamilyPlacementType.OneLevelBased. Вставляю методом NewFamilyInstance, но он принимает только XYZ в качестве координаты. Методом LocationPoint.Rotate я поворачиваю экземпляр на нужный угол, а как задать Transform? Метод ElementTransformUtils.CopyElements из одного документа в другой не подходит, т.к. при малейших различиях в семействах, во вставляемом проекте создается новое семейство с новыми типоразмерами с припиской "2". Можно конечно вычислить на какой угол, сколько раз и относительно какой линии нужно повернуть семейство, чтобы Transform совпали, но кажется, должен быть другой способ. Смотрел свойство GeometryInstance.Transform, но оно только для чтения, объект FamilyInstance.GetTransform() не влияет никак на модель, свойства SetTransform нету.
8
Спасибо, буду изучать статью
10
Navisworks API / Уникальные идентификаторы в таблицах Navis
« Последний ответ от Lipes 17-07-2018, 12:13:17 »
Как в API получить новый уникальный идентификатор для таблицы?
Пробовал вот так:
Код - C# [Выбрать]
  1.         private Int64 GetNewKeyValue()
  2.         {
  3.             Int64 id = GetLastInsertRowId();
  4.             id++;
  5.             return id;
  6.         }
  7.  
Но каждый раз возвращает мне 1. А есть нормальный штатный способ?
Страницы: [1] 2 3 ... 10